/* ***** BEGIN LICENSE BLOCK *****
 
 
 Copyright 2012 Adam Skillen (a_skil(at)encs.concordia.ca), Mohammad Mannan (mmannan(at)encs.concordia.ca)
 
 Redistribution and use in source and binary forms, with or without modification,
 are permitted provided that the following conditions are met:
 
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.  Redistributions in
 * binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other
 * materials provided with the distribution.  Neither the name of Carleton
 * University nor the names of its contributors may be used to endorse or
 * promote products derived from this software without specific prior written
 * permission.
 
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
 * ***** END LICENSE BLOCK ***** */
   
 /**
  * 09-MAY-12
  * 	TODO:  1
  * 	FIXME: 0
  * 	NOTE:  0
  */ 
Components.utils.import("resource://myphrase/common.js");
Components.utils.import("resource://myphrase/simpleMailCon.js");
Components.utils.import("resource://myphrase/textParse.js");
 
/**
 * MyphraseCCSLGenDict namespace.
 */
if ("undefined" == typeof(MyphraseCCSLGenDict)) {
  var MyphraseCCSLGenDict = {};
};

MyphraseCCSLGenDict.BrowserOverlay = {
  promptService: null,
  path: "",
  
  onLoad: function() {
	this.path = "";
	
	this.promptService = Components.classes["@mozilla.org/embedcomp/prompt-service;1"]
                              .getService(Components.interfaces.nsIPromptService);
                              
                              
  },
  
  mkDictTxt: function() {
  	var customPath = MyphraseCCSL.ParseText.buildDict(window);
	
	var retVal = window.arguments[0];
	retVal.path = customPath.path;

	return this.path;
  },
  
  mkDictMail: function() {
	var customPath = MyphraseCCSL.SimpleMail.buildDict(window);
	this.path = customPath.path;
	return this.path;
  },
  
};

window.addEventListener("load", function(e) { MyphraseCCSLGenDict.BrowserOverlay.onLoad(e); }, false);
