var EXPORTED_SYMBOLS = [];

const Cc = Components.classes;
const Ci = Components.interfaces;

Components.utils.import("resource://myphrase/common.js");

MyphraseCCSL.words = {

	top500: ["a", "about", "all", "an", "and", "are", "as", "at", "again", "air", "along", "also", "always", 
			"another", "any", "around", "away", "be", "but", "by", "back", "because", "below", "between", "big", "both", 
			"can", "came", "children", "come", "do", "down", "day", "different", "end", "even", "every", "first", "for", 
			"from", "few", "find", "food", "form", "good", "get", "give", "go", "great", "have", "he", "her", "him", "his", 
			"help", "here", "home", "house", "i", "if", "in", "into", "is", "it", "important", "just", "keep", "like", 
			"listen", "little", "large", "last", "left", "line", "look", "make", "man", "many", "may", "more", "most", "my", 
			"me", "men", "might", "much", "must", "near", "no", "not", "now", "name", "never", "new", "next", "number", "of", 
			"on", "one", "only", "or", "other", "out", "over", "off", "old", "our", "own", "people", "part", "place", "put", 
			"read", "said", "say", "see", "she", "should", "slow", "small", "so", "some", "stop", "same", "set", "show", 
			"something", "sound", "still", "such", "than", "that", "the", "then", "there", "they", "this", "through", "to", 
			"true", "two", "take", "tell", "think", "thought", "three", "through", "together", "too", "up", "use", "under", 
			"until", "us", "very", "was", "water", "way", "we", "were", "what", "when", "where", "which", "who", "will", 
			"with", "would", "write", "want", "well", "went", "while", "why", "work", "world", "yes", "you", "low", "before", 
			"turn", "cause", "mean", "differ", "move", "right", "boy", "does", "sentence", "had", "play", "hand", "port", 
			"your", "spell", "add", "word", "land", "how", "each", "high", "follow", "act", "their", "time", "ask", "change", 
			"light", "kind", "them", "need", "picture", "try", "these", "animal", "long", "point", "mother", "thing", "build", 
			"self", "has", "earth", "father", "head", "stand", "could", "page", "did", "country", "found", "answer", "school", 
			"grow", "study", "learn", "know", "plant", "cover", "call", "sun", "four", "let", "side", "eye", "been", "door", 
			"city", "tree", "cross", "since", "hard", "start", "made", "live", "story", "saw", "after", "far", "sea", "draw", 
			"round", "late", "run", "year", "don", "dont", "press", "close", "night", "real", "life", "open", "ten", "seem", "simple", 
			"several", "vowel", "white", "toward", "war", "begin", "lay", "got", "against", "walk", "pattern", "example", "ease", 
			"center", "paper", "love", "often", "person", "money", "music", "serve", "those", "appear", "road", "mark", "map", 
			"book", "science", "letter", "rule", "govern", "mile", "pull", "river", "cold", "car", "notice", "feet", "voice", 
			"care", "fall", "second", "power", "group", "town", "carry", "fine", "took", "certain", "rain", "fly", "eat", "unit", 
			"room", "lead", "friend", "cry", "began", "dark", "idea", "machine", "fish", "note", "mountain", "wait", "north", 
			"plan", "once", "figure", "base", "star", "hear", "box", "horse", "noun", "cut", "field", "sure", "rest", "watch", 
			"correct", "color", "able", "face", "pound", "wood", "done", "main", "beauty", "enough", "drive", "plain", "stood", 
			"girl", "contain", "usual", "front", "young", "teach", "ready", "week", "above", "final", "ever", "gave", "red", 
			"green", "list", "oh", "though", "quick", "feel", "develop", "talk", "sleep", "bird", "warm", "soon", "free", "body", 
			"minute", "dog", "strong", "family", "special", "direct", "mind", "pose", "behind", "leave", "clear", "song", "tail", 
			"measure", "produce", "state", "fact", "product", "street", "black", "inch", "short", "lot", "numeral", "nothing", 
			"class", "course", "wind", "stay", "question", "wheel", "happen", "full", "complete", "force", "ship", "blue", "area", 
			"object", "half", "decide", "rock", "surface", "order", "deep", "fire", "moon", "south", "island", "problem", "foot", 
			"piece", "yet", "told", "busy", "knew", "test", "pass", "record", "farm", "boat", "top", "common", "whole", "gold", 
			"king", "possible", "size", "plane", "heard", "age", "best", "dry", "hour", "wonder", "better", "laugh", "thousand", 
			"during", "ago", "hundred", "ran", "am", "check", "remember", "game", "step", "shape", "early", "hold", "west", "miss", 
			"ground", "brought", "interest", "heat", "reach", "snow", "fast", "bed", "five", "bring", "sing", "sit", "perhaps", 
			"six", "fill", "table", "east", "travel", "weight", "less", "language", "morning", "among", "hot"],
			
	top1000: ["a", "able", "about", "above", "account", "acid", "across", "act", "add", "addition", "adjustment", "advertisement", 
			"after", "again", "against", "age", "ago", "agreement", "air", "all", "almost", "along", "also", "always", "am", "among", "amount", 
			"amusement", "an", "and", "angle", "angry", "animal", "another", "answer", "ant", "any", "apparatus", "appear", "apple", "approval", 
			"arch", "are", "area", "argument", "arm", "army", "around", "art", "as", "ask", "at", "attack", "attempt", "attention", "attraction", 
			"authority", "automatic", "awake", "away", "baby", "back", "bafflement", "bag", "balance", "ball", "band", "base", "basin", "basket", 
			"bath", "be", "beautiful", "beauty", "because", "bed", "bee", "been", "before", "began", "begin", "behind", "belief", "bell", "below", 
			"bent", "berry", "best", "better", "between", "big", "bird", "birth", "bit", "bitter", "black", "blade", "blood", "blow", "blue", "board", 
			"boat", "body", "boiling", "bone", "book", "boot", "both", "bottle", "box", "boy", "brain", "brake", "branch", "brass", "bread", "breath", 
			"brick", "bridge", "bright", "bring", "broken", "brother", "brought", "brown", "brush", "bucket", "build", "building", "bulb", "burn", 
			"burst", "business", "busy", "but", "butter", "button", "by", "cake", "call", "came", "camera", "can", "canvas", "car", "card", "care", 
			"carriage", "carry", "cart", "cat", "cause", "center", "certain", "chain", "chalk", "chance", "change", "cheap", "check", "cheese", 
			"chemical", "chest", "chief", "children", "chin", "church", "circle", "city", "class", "clean", "clear", "clock", "close", "cloth", 
			"cloud", "coal", "coat", "cold", "collar", "color", "colour", "comb", "come", "comfort", "committee", "common", "company", "comparison", 
			"competition", "complete", "complex", "condition", "connection", "contain", "control", "cook", "copper", "copy", "cord", "cork", "correct", 
			"cough", "could", "country", "course", "cover", "cow", "crack", "credit", "crime", "cross", "cruel", "crush", "cry", "cup", "current", 
			"curtain", "curve", "cushion", "cut", "damage", "dark", "daughter", "day", "dead", "dear", "death", "debt", "decide", "decision", "deep", 
			"degree", "delicate", "dependent", "design", "desire", "detail", "develop", "development", "did", "differ", "different", "digestion", 
			"direct", "direction", "dirty", "discovery", "discussion", "disease", "distance", "distribution", "division", "do", "does", "dog", "done", 
			"don", "dont", "door", "doubt", "down", "drain", "draw", "drawer", "dress", "drink", "drive", "drop", "dry", "during", "dust", "each", "ear", 
			"early", "earth", "ease", "east", "eat", "edge", "education", "effect", "egg", "elastic", "electric", "end", "engine", "enough", "equal", 
			"error", "even", "event", "ever", "every", "example", "exchange", "existence", "expansion", "experience", "expert", "eye", "face", "fact", 
			"fall", "false", "family", "far", "farm", "fast", "fat", "father", "fear", "feather", "feeble", "feel", "feeling", "feet", "female", 
			"fertile", "few", "fiction", "field", "fight", "figure", "fill", "final", "find", "fine", "finger", "fire", "first", "fish", "five", 
			"fixed", "flag", "flame", "flat", "flight", "floor", "flower", "fly", "fold", "follow", "food", "foolish", "foot", "for", "force", "fork", 
			"form", "forward", "found", "four", "fowl", "frame", "free", "frequent", "friend", "from", "front", "fruit", "full", "future", "game", 
			"garden", "gave", "general", "get", "girl", "give", "glass", "glove", "go", "goat", "gold", "good", "got", "govern", "government", "grain", 
			"grass", "great", "green", "grey", "grip", "ground", "group", "grow", "growth", "guide", "gun", "had", "hair", "half", "hammer", "hand", 
			"hanging", "happen", "happy", "harbor", "hard", "harmony", "has", "hat", "hate", "have", "he", "head", "healthy", "hear", "heard", "hearing", 
			"heart", "heat", "help", "her", "here", "high", "him", "his", "history", "hold", "hole", "hollow", "home", "hook", "hope", "horn", "horse", 
			"hospital", "hot", "hour", "house", "how", "humour", "hundred", "I", "ice", "idea", "if", "ill", "important", "impulse", "in", "inch", 
			"increase", "industry", "ink", "insect", "instrument", "insurance", "interest", "into", "invention", "iron", "is", "island", "it", "jelly", 
			"jewel", "join", "journey", "judge", "jump", "just", "keep", "kettle", "key", "kick", "kind", "king", "kiss", "knee", "knew", "knife", "knot", 
			"know", "knowledge", "land", "language", "large", "last", "late", "laugh", "law", "lay", "lead", "leaf", "learn", "learning", "leather", 
			"leave", "left", "leg", "less", "let", "letter", "level", "library", "life", "lift", "light", "like", "limit", "line", "linen", "lip", 
			"liquid", "list", "listen", "little", "live", "living", "lock", "long", "look", "loss", "lot", "loud", "love", "low", "machine", "made", 
			"main", "make", "male", "man", "manager", "many", "map", "mark", "market", "married", "mass", "match", "material", "may", "me", "meal", 
			"mean", "measure", "meat", "medical", "meeting", "memory", "men", "metal", "middle", "might", "mile", "military", "milk", "mind", "mine", 
			"minute", "miss", "mist", "mixed", "money", "monkey", "month", "moon", "more", "morning", "most", "mother", "motion", "mountain", "mouth", 
			"move", "much", "muscle", "music", "must", "my", "nail", "name", "narrow", "nation", "natural", "near", "necessary", "neck", "need", 
			"needle", "nerve", "net", "never", "new", "news", "next", "night", "no", "noise", "normal", "north", "nose", "not", "note", "nothing", 
			"notice", "noun", "now", "number", "numeral", "nut", "object", "observation", "of", "off", "offer", "office", "often", "oh", "oil", "old", 
			"on", "once", "one", "only", "open", "operation", "opinion", "opposite", "or", "orange", "order", "organisation", "organization", "ornament", 
			"other", "our", "out", "oven", "over", "own", "owner", "page", "pain", "paint", "paper", "parallel", "parcel", "part", "pass", "past", "paste", 
			"pattern", "payment", "peace", "pen", "pencil", "people", "perhaps", "person", "physical", "picture", "piece", "pig", "pin", "pipe", "place", 
			"plain", "plan", "plane", "plant", "plate", "play", "please", "pleasure", "plough", "pocket", "point", "poison", "polish", "political", "poor", 
			"port", "pose", "position", "possible", "pot", "potato", "pound", "powder", "power", "present", "press", "price", "print", "prison", "private", 
			"probable", "problem", "process", "produce", "product", "profit", "property", "prose", "protest", "public", "pull", "pump", "punishment", 
			"purpose", "push", "put", "quality", "question", "quick", "quiet", "quite", "rail", "rain", "ran", "range", "rat", "rate", "ray", "reach", 
			"reaction", "read", "reading", "ready", "real", "reason", "receipt", "record", "red", "regret", "regular", "relation", "religion", "remember", 
			"representative", "request", "respect", "responsible", "rest", "reward", "rhythm", "rice", "right", "ring", "river", "road", "rock", "rod", 
			"roll", "roof", "room", "root", "rough", "round", "rub", "rule", "run", "sad", "safe", "said", "sail", "salt", "same", "sand", "saw", "say", 
			"scale", "school", "science", "scissors", "screw", "sea", "seat", "second", "secret", "secretary", "see", "seed", "seem", "selection", "self", 
			"send", "sense", "sentence", "separate", "serious", "servant", "serve", "set", "several", "sex", "shade", "shake", "shame", "shape", "sharp", 
			"she", "sheep", "shelf", "ship", "shirt", "shock", "shoe", "short", "should", "show", "shrink", "shut", "side", "sign", "silk", "silver", 
			"simple", "since", "sing", "sister", "sit", "six", "size", "skin", "skirt", "sky", "sleep", "slip", "slope", "slow", "small", "smash", "smell", 
			"smile", "smoke", "smooth", "snake", "sneeze", "snow", "so", "soap", "society", "sock", "soft", "solid", "some", "something", "son", "song", 
			"soon", "sort", "sound", "soup", "south", "space", "spade", "special", "spell", "sponge", "spoon", "spring", "square", "stage", "stamp", "stand", 
			"star", "start", "state", "station", "stay", "steam", "steel", "step", "stick", "sticky", "stiff", "still", "stitch", "stocking", "stomach", 
			"stone", "stood", "stop", "store", "story", "straight", "strange", "street", "stretch", "strong", "structure", "study", "substance", "such", 
			"sudden", "sugar", "suggestion", "summer", "sun", "support", "sure", "surface", "surprise", "sweet", "swim", "system", "table", "tail", "take", 
			"talk", "tall", "taste", "tax", "teach", "teaching", "tell", "ten", "tendency", "test", "than", "that", "the", "their", "them", "then", "theory", 
			"there", "these", "they", "thick", "thin", "thing", "think", "this", "those", "though", "thought", "thousand", "thread", "three", "throat", 
			"through", "thumb", "thunder", "ticket", "tight", "till", "time", "tin", "tired", "to", "toe", "together", "told", "tomorrow", "tongue", "too", 
			"took", "tooth", "top", "touch", "toward", "town", "trade", "train", "transport", "travel", "tray", "tree", "trick", "trouble", "trousers", 
			"true", "try", "turn", "twist", "two", "umbrella", "under", "unit", "until", "up", "us", "use", "usual", "value", "verse", "very", "vessel", 
			"view", "violent", "voice", "vowel", "wait", "waiting", "walk", "wall", "want", "war", "warm", "was", "wash", "waste", "watch", "water", 
			"wave", "wax", "way", "we", "weather", "week", "weight", "well", "went", "were", "west", "wet", "what", "wheel", "when", "where", "which", 
			"while", "whip", "whistle", "white", "who", "whole", "why", "wide", "will", "wind", "window", "wine", "wing", "winter", "wire", "wise", "with", 
			"woman", "wonder", "wood", "wool", "word", "work", "world", "worm", "would", "wound", "write", "writing", "wrong", "year", "yellow", "yes", 
			"yesterday", "yet", "you", "young", "your"],
			
    CC: ["neither", "either", "thenceforth", "minus", "plus", "and", "or", "but", "nor", "for", "yet", "so"],
    
    DT: ["either", "neither", "whichever", "nary", "a", "each", "whatever", "that", "both", "this", "the", "an", "which", "no", "all", "any", "every", "another", "these", "some", "those"],
    
    MD: ["mayst", "may", "wilt", "shall", "might", "could", "must", "can", "would", "should", "cannot", "ought", "will"],
    
    WP: ["whoever", "whosoever", "what", "who", "whom", "whose"],
    
    PRP: ["ye", "ourselves", "hers", "yourselves", "hisself", "oneself", "em", "thy", "themselves", "myself", "us", "herself", "theirs", "ours", "you", "me", "it", "they", "he", "him", "she", "we", "them", "himself", "yourself", "itself", "yours", "thou", "thee", "I"],
    
    PRP$: ["his", "your", "my", "their", "its", "our", "her"],
    
    IN: ["that", "withal", "towards", "down", "alongside", "onto", "aboard", "opposite", "ere", "versus", "en", "atop", "astride", "fer", "anti", "foh", "via", "att", "as", "though", "along", "outside", "beyond", "among", "because", "since", "until", "whether", "beside", "unlike", "lest", "amongst", "unless", "underneath", "despite", "throughout", "toward", "per", "whereas", "albeit", "amid", "amidst", "agin", "whereupon", "with", "by", "in", "of", "out", "on", "at", "under", "up", "against", "after", "from", "about", "upon", "for", "if", "before", "than", "above", "within", "over", "into", "like", "without", "although", "through", "below", "notwithstanding", "off", "besides", "while", "except", "during", "behind", "across", "between", "near", "inside", "beneath", "till", "unto", "around"],
    
    UH: ["well", "ho", "hurrah", "ha", "bye", "afternoon", "ugh", "bah", "hell", "honest", "hi", "hooray", "howdy", "haw", "diddle", "zounds", "wow", "yea", "hey", "ah", "yes", "oh", "alas", "eh", "er", "shucks", "sho", "aw", "goody", "lo", "anyways", "gee", "pip", "hello", "amen", "bam", "hmmm", "ahem"],
    
    TO: ["to"],
    
    EX: ["there"],
    
    RP: ["away"],

};
